## org.apache.mahout.classifier.naivebayes.trainer
Class NaiveBayesSumReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>
          org.apache.mahout.classifier.naivebayes.trainer.NaiveBayesSumReducer

    public class NaiveBayesSumReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>

Can also be used as a local Combiner. This accumulates all the features and the weights and sums them up.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`NaiveBayesSumReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.WritableComparable<?> key, java.lang.Iterable<VectorWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaiveBayesSumReducer

    public NaiveBayesSumReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.WritableComparable<?> key,
                          java.lang.Iterable<VectorWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.